# $Revision: 1.20 $, $Date: 2007-12-18 23:43:52 $
Summary:	libical library
Summary(pl.UTF-8):	Biblioteka libical
Name:		libical
Version:	0.27
Release:	1
License:	MPL 1.0 or LGPL v2.1
Group:		Libraries
Source0:	http://dl.sourceforge.net/freeassociation/%{name}-%{version}.tar.gz
# Source0-md5:	87d48321bff08de08794132d60b55d94
Patch0:		%{name}-as_needed.patch
URL:		http://sourceforge.net/projects/freeassociation/	
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	perl-base
BuildRequires:	python
# swig is checked for by configure, but not used
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libical is an Open Source implementation of the IETF's iCalendar
Calendaring and Scheduling protocols (RFC 2445, 2446, and 2447). It
parses iCal components and provides a C API for manipulating the
component properties, parameters, and subcomponents.

%description -l pl.UTF-8
Libical jest implementacją Open Source protokołów IETF iCalendar
Calendaring oraz iCalendar Scheduling (RFC 2445, 2446 i 2447).
Biblioteka ta analizuje składniki iCal i udostępnia API w C do obróbki
opcji, parametrów i podkomponentów w komponentach iCal.

%package devel
Summary:	libical header files
Summary(pl.UTF-8):	Pliki nagłówkowe libical
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libical header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libical.

%package static
Summary:	libical static library
Summary(pl.UTF-8):	Statyczna biblioteka libical
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libical library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libical.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-python
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog NEWS THANKS TODO AUTHORS
%attr(755,root,root) %{_libdir}/libical.so.*.*.*
%attr(755,root,root) %{_libdir}/libicalss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libical.so.0
%attr(755,root,root) %ghost %{_libdir}/libicalss.so.0
%{_datadir}/libical

%files devel
%defattr(644,root,root,755)
%doc doc/UsingLibical*
%attr(755,root,root) %{_libdir}/libical.so
%attr(755,root,root) %{_libdir}/libicalss.so
%{_libdir}/libical.la
%{_libdir}/libicalss.la
%{_includedir}/ical*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libical.a
%{_libdir}/libicalss.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libical.spec,v $
Revision 1.20  2007-12-18 23:43:52  zbyniu
- parallel build now possible

Revision 1.19  2007-10-25 18:02:50  qboosh
- more verbose files
- package data (zoneinfo)

Revision 1.18  2007/10/20 00:05:16  wolvverine
- change URL

Revision 1.17  2007/10/20 00:02:43  wolvverine
- up to 0.27, change URL

Revision 1.16  2007/09/28 15:46:14  sls
- added as_needed.patch
- libtoolize, aclocal, automake, autoconf
- __make -j1
- added TODO

Revision 1.15  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.13  2006/08/24 21:45:18  aredridel
- copy config.sub for amd64

Revision 1.12  2005/06/26 23:36:30  saq
- typo in configure options
- swig is not BRed

Revision 1.11  2005/05/20 21:54:04  qboosh
- mark RC in release, strict internal deps

Revision 1.10  2005/05/17 22:10:25  wolvverine
- up version to 0.24.RC4
- STBR

Revision 1.9  2004/12/23 14:25:34  darekr
- BR: perl -> perl-base

Revision 1.8  2003/12/21 02:02:33  domelu
- up to 0.23a

Revision 1.7  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.6  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/08/18 13:36:39  blues
- release 0.2 - license fix

Revision 1.2  2002/07/30 11:54:47  qboosh
- fixed Groups, more descriptions

Revision 1.1  2002/07/26 14:32:47  wiget
- initial release need more hackery
